rpc_peeraddr
Prev | SUN RPC subsystem | Next

## Name

rpc_peeraddr — extract remote peer address from clnt's xprt

## Synopsis

`size_t rpc_peeraddr (` | struct rpc_clnt * | clnt,
| struct sockaddr * | buf,
| size_t | bufsize`)`;

## Arguments

`clnt`

  RPC client structure

`buf`

  target buffer

`bufsize`

  length of target buffer

## Description

Returns the number of bytes that are actually in the stored address.

Prev | Up | Next
rpc_call_async | Home | rpc_peeraddr2str